
/* ESTILO GENERAL */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif
}
html {
	scroll-behavior: smooth;
}
body{
    background: #204379;
    background: radial-gradient(circle, rgba(32,67,121,1) 10%, rgba(0,0,0,1) 100%);
    color: #fff;
    font-size: 17px;
}
a {
	text-decoration: none;
}

/* ESTILO DE BOTON GENERAL */
.boton button{
    background: #27b5cf;
    border-radius: 4px;
    text-transform: uppercase;
    padding: 1.5em;
    color: #000;
    border: solid 1px rgba(255, 255, 255, 0);
    cursor: pointer;
}
.icon-boton{
    font-size: 20px;
vertical-align: bottom;
}
.boton button:hover{
    background: #30d3f0;
        color: #fff;
        border: 1px solid #fff;
        transition: 0.1s;
}

/* FORMATO DE SECCIONES GENERAL */
.seccion {
	min-height: 100vh;
	max-width: 1200px;
	width: 90%;
	margin: auto;
	padding-top: 60px;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
    overflow: hidden;
}
.seccion .card {
    background-color: rgba(127, 127, 127, 0.2);
    backdrop-filter:blur(20px);
    border: solid 1px rgba(127, 127, 127, 0.3);
    border: solid 1px rgba(127, 127, 127, 0.6);
	height: 85%;
	padding: 35px;
	border-radius: 5px;
	box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    
}
.seccion .card .boton{
    display:flex;
    justify-content: center;
}
.seccion h2 {
	font-size: 35px;
	margin-bottom: 10px;
    color: rgb(39, 181, 207);
    text-transform: uppercase;
    
}
.seccion p {
	line-height: 35px;
	margin-bottom: 40px;
	color: #fff;
	font-size: 16px;
    
    
}



/* HEADER PARTICULAS */
header{
    position: relative;
}
#particles-js{
    height: calc(100vh - 100px);
    width: 100%;
    z-index: -1;
    display: flex;
    justify-content: right;
    align-items: center;
    position: relative;
    
}
#particles-js img{
    position: fixed;
}
#particles-js #img-perfil-mobile{
    display: none;
}
#particles-js h1{
    font-size: 50px;
    position: absolute;
    margin: 20px;
}
#website{
    color: #27b5cf;
    text-transform: uppercase;
}

/* SWITCH CAMBIO IDIOMA */
#cont-switch{
    margin: 50px;
    position: absolute;
}

.switch{
    background:#fff;
    background: radial-gradient(circle, rgba(255,255,255,1) 10%, rgba(0,0,0,1) 100%);
    border-radius: 1000px;
    border: 2px solid #fff;
    position: relative;
    cursor: pointer;
    display: flex;
    outline: none;
}
.switch::after{
    content: "";
    display: block;
    width: 32px;
    height: 32px;
    position: absolute;
    background: #204379;
    background: radial-gradient(circle, rgba(32,67,121,1) 10%, rgba(0,0,0,1) 100%);
    top: 0;
    left: unset;
    right: 0;
    border-radius: 100px;
    transition: .3s ease all;
    box-shadow: 0px 0px 2px 2px rgba(0, 0, 0, 0.4);

}
.switch.active{
    background: #27B5CF;
    background: radial-gradient(circle, rgba(39,181,207,1) 10%, rgba(0,0,0,1) 100%);
} 
.switch.active::after{
    left: 0;
    right: unset;
} 
.switch span{
    width: 32px;
    height: 32px;
    line-height: 32px;
    display: block;
    background: none;

}



/* MENU PRINCIPAL NAVBAR */
#menubar {
	background-color: rgba(127, 127, 127, 0.2);
    backdrop-filter:blur(20px);
    border: solid 1px rgba(127, 127, 127, 0.3);
	height: 70px;
	box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 20px;
	display: flex;
	position: sticky;
	top: 0;
	overflow: hidden;
    z-index: 9000;
}
#menubar a {
	flex: 1;
	height: 100%;
	text-transform: uppercase;
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	color: #fff;
	transition: .1s ease-in-out all;
	font-weight: 500;
}
#menubar a:hover {
	/* background: rgba(32, 67, 121, 0.9); */
    background-color: rgba(0, 0, 0, 0.6);
    color: #27B5CF;
}
#menubar .menu-mobile{
    display: none;
}


/* ACERCA DE MI */
/* 
#aboutme-foto{
    width: 200px;
    height: 200px;
    position: relative;
} */



/* HABILIDADES */
.cont-tecnologias{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    gap: auto;
    margin-top: 10px;
}
.tec-icon{
    text-align: center;
}
.tec-icon p{
    text-transform: uppercase;
}

.img-tech{
    height: 100px;
    width: 100px;
    border-radius: 50%;
    margin: 10px 30px;

    background-color: rgba(0, 0, 0, 0.42);
    backdrop-filter:blur(20px);
    border: solid 1px rgba(127, 127, 127, 0.3);
    border: solid 1px rgba(127, 127, 127, 0.6);
}


/* MIS PROYECTOS */
/* .cont-proyect{
    width: 100%;
	max-width: 1200px;
	margin: 40px auto;
	display: block;
    gap:auto;
    overflow: hidden;
}

#proyect-visibles{
    width: 100%;
	max-width: 1200px;
	margin: 40px auto;
	display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap:auto;
    overflow: hidden;
}
#proyect-ocultos{
    display: none;
    width: 100%;
	max-width: 1200px;
	margin: 40px auto;
    grid-template-columns: 1fr 1fr 1fr;
    gap:auto;
    overflow: hidden;
}

.proyect-div{
    text-align: center;
    
}
.proyect-div{
    padding: 0px 35px;
    height: 540px;
}
.proyect-div p{
    font-size: 16px;
}

.proyect-div h3 {
    font-size: 22px;
    color: #27B5CF;
    font-weight: normal;
    }

    
.proyect-div img {
    width: 90%;
    border-radius: 10px;
    border: 6px solid #00000020;
}


#menosProyectos{
    display: none;
}
.mas-menos{
    text-align: center;
    width: 100%;
}
.mas-menos button{
    width: 100%;
    text-align: center;
    background: #27b5cf;
    border-radius: 4px;
    text-transform: uppercase;
    padding: 1.5em;
    color: #000;
    border: solid 1px rgba(255, 255, 255, 0);
    cursor: pointer;
}

.mas-menos button:hover{
    background: #30d3f0;
        color: #fff;
        border: 1px solid #fff;
        transition: 0.1s;
} */

/* OTRO ESTILO DE PROYECTOS */

.cont-proyect{
    display: block;
    width: 100%;
	max-width: 1200px;
	margin: 40px auto;
    overflow: hidden;
}

#proyect-ocultos{
    display: none;
    width: 100%;
	max-width: 1200px;
	margin: 40px auto;
}

.proyect-div,
#proyect-ocultos.proyect-div{
    display: flex;
    margin: 60px;
    margin-left: 0px;
}
.proyect-div p{
    margin-left: 15px;
}

.proyect-div h3 {
    font-size: 28px;
    color: #27B5CF;
    font-weight: normal;
    margin-left: 15px;
    margin-bottom: 10px;
    }

    
.proyect-div img
{
    width: 30%;
    border-radius: 10px;
    border: 6px solid #00000020;
    
}


/* ESTILO DE BOTONes de enlace proyectos */
.boton-proyectos button{
    background: #27b5cf;
    border-radius: 4px;
    text-transform: uppercase;
    padding: 1.5em;
    color: #000;
    border: solid 1px rgba(255, 255, 255, 0);
    cursor: pointer;
    margin-left: 15px;
}
.icon-boton-proyectos{
    font-size: 32px;
vertical-align: middle;
}
.boton-proyectos button:hover{
    background: #30d3f0;
        color: #fff;
        border: 1px solid #fff;
        transition: 0.1s;
}

#menosProyectos{
    display: none;
}
.mas-menos{
    text-align: center;
    width: 100%;
}
.mas-menos button{
    width: 100%;
    text-align: center;
    background: #27b5cf;
    border-radius: 4px;
    text-transform: uppercase;
    padding: 1.5em;
    color: #000;
    border: solid 1px rgba(255, 255, 255, 0);
    cursor: pointer;
}

.mas-menos button:hover{
    background: #30d3f0;
        color: #fff;
        border: 1px solid #fff;
        transition: 0.1s;
}

/* FORMULARIO DE CONTACTO Y REDES */
#contacteiner{
    display: grid;
    grid-template-columns: 68% 28%;
    gap: 4%;
}
#formulario{
    color: #fff;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 5%;
}
#formulario input,
#formulario textarea,
#formulario button{
    width: 100%;
    padding: 0.7em;
    border: none;
    border-bottom: 1px solid #27B5CF;
    outline: 0;
    color: #fff;
    background: none;
    margin-top: 0.5em;
    
}
#formulario button{
    background: #27B5CF;
    border-radius: 4px;
    text-transform: uppercase;
    padding: 2em;
    color: #204379;
    cursor: pointer;
}
#formulario button:hover{
    background: #30d3f0;
    color: #fff;
    transition: 0.1s;
}
#formulario textarea{
    border: 1px solid #27B5CF;
}
#formulario textarea:focus{
    border: 1px solid #fff;
    background-color: #27b6cf3f;
    transition: 0.7s ease-out;
    outline: 0;
}
#formulario input:focus{
    border-bottom: 1px solid #fff;
}
#formulario h4{
    color: #27B5CF;
    font-size: 15px;
}

#formulario a{
    color: #fff;
}

/* SECCION LATERAL REDES */
#redes h4,
#redes .arrow,
#redes p{
    text-align: center;
    margin: 0 0 1em 0;
}
#redes h4{
    color: #27B5CF;
    font-size: 1.7em;
}

.arrow{
animation: apuntar 1s linear infinite;
}

/* MENU CIRCULAR EN REDES */
.conten-menu{
display: flex;
justify-content: center;
align-items: center;
/* min-height: 100vh; */
min-width: 100%;
}
.menu{
position: relative;
width: 200px;
height: 200px;
display: flex;
justify-content: center;
align-items: center;
color: #fff;
}
.menu li{
    position: absolute;
    left: 0;
    list-style: none;
    transform-origin: 100px;
    transition: 0.5s;
    transition-delay: calc(0.1s * var(--i));
    transform: rotate(0deg) translate(80px);
    }
.menu.active li{
    transform: rotate(calc(360deg / 8 * var(--i)));
}
.menu.active li a{
    color: #fff;
    transition: 0.70s;
}
.menu li a{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    transform: rotate(calc(360deg / -8 * var(--i)));
    box-shadow: 0 3px 4px rgba(0,0,0,0,0.15);
    color: rgba(255, 255, 255,0);
    transition: 1.50s;
    font-size: 2em;
}
.menu li a:hover{
    color: #27B5CF;
}
.toggle{
    position: relative;
    width: 60px;
    height: 60px;
    background-color: rgba(255, 255, 255, 0.2);
    backdrop-filter:blur(20px);
    border: solid 1px rgba(255, 255, 255, 0.4);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10000;
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 0 4px rgba(0,0,0,0,0.15);
    font-size: 2em;
    transition: 1.25s;
}
.toggle:hover{
    border-color: #27B5CF;
    color: #27B5CF;
}
.menu.active .toggle{
    transform: rotate(360deg);
    
}
/* FOOTER */
#pie{
    text-align: center;
    padding-bottom: 40px;
}
#pie span a{
    color: #27B5CF;
    text-transform: uppercase;
}


 /* KEYFRAME FLECHA ANIMADA EN REDES */
    @keyframes apuntar{
        0%{
            transform:translateY(0);
        }
        50%{
            transform:translateY(15px);
        }
        100%{
            transform:translateY(0) ;
        }
    }


/* MEDIAS RESPONSIVE */
@media screen and (max-width: 900px){

    #cont-switch{
        margin-left: 80%;
    }
    #contacteiner{
        grid-template-columns: 1fr;
    }
    #formulario button{
        padding: 1.5em;
        margin-bottom: 60px;
    }
}


@media screen and (max-width: 800px) {
        
        #menubar a {
            font-size: 12px;
            padding: 5px;
        }
        #particles-js h1{
            font-size: 35px;
            margin: 30px;
        }
            
        .seccion h2 {
            font-size: 33px;
            text-align: center;
        }

        .seccion p {
            line-height: 32px;
            font-size: 18px;
            text-align: center;
        }

        .cont-tecnologias{
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
        }
        .img-tech{
            height: 70px;
            width: 70px;
            margin: 10px 30px;
        }

        .proyect-div h3 {
            font-size: 18px;
            }
        }
        

@media screen and (max-width: 690px){
        #particles-js h1{
            font-size: 50px;
            margin: 30px;
        }
        #particles-js img{
            display: none;
        }
        .cont-tecnologias{
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
        #formulario{
            grid-template-columns: 1fr;
            gap: auto;
        }
    }

    @media screen and (max-width: 450px) {
        #menubar a {
            font-size: 20px;
        }
        #menubar .menu-mobile{
            display: flex;
        }
        #menubar .menu-desktop{
            display: none;
        }
        
        #particles-js h1{
            font-size: 35px;
        }
        

        #particles-js #img-perfil-desk{
            display: none;
        }
        #particles-js #img-perfil-mobile{
            display: flex;
            height: 140px;
            opacity: 0.9;
            border-radius: 100%;
            margin-top: 125px;
            position: absolute;
            border: 7px solid rgba(255, 255, 255, 0);
        }

        #cont-switch{
            margin-left: 77%;
        }

        .switch::after{
            width: 26px;
            height: 26px;
        }

        .switch span{
            width: 26px;
            height: 26px;
            line-height: 26px;
        }
        .switch span img{
            width: 26px;
            height: 26px;
        
        }


        .boton button{
            padding: 1em;
        }

        .icon-boton{
            font-size: 16px;
        }

        .seccion h2 {
            font-size: 22px;
            text-align: center;
            margin-bottom: 20px;
        }

        .seccion p {
            line-height: 15px;
            font-size: 13px;
            text-align: center;
        }

        .cont-tecnologias{
            grid-template-columns: 1fr 1fr 1fr;
            width: 90%;
        }


        .img-tech{
            height: 45px;
            width: 45px;
            margin: 4px 20px;
        }


        /* proyectos */

        .cont-proyect{
            display: block;
            width: 100%;
            margin: 0px auto;
        }
        
        #proyect-ocultos{
            display: none;
            width: 100%;
            margin: 0px auto;
        }
        
        .proyect-div,
        #proyect-ocultos.proyect-div{
            display: block;
            margin: 0px;
            margin-left: 0px;
            text-align: center;
        }
        .proyect-div p{
            margin-left: 0px;
            font-size: 13px;
        }
        
        .proyect-div h3 {
            font-size: 18px;
            margin-left: 0px;
            }
        
            
        .proyect-div img
        {
            margin-top: 30px;
            width: 100%;
        }
        
        /* estilo botones de enlace proyectos */
.boton-proyectos button{
    padding: 1em;
    margin-left: 5px;
    margin: 5px;
    font-size: 12px;
}
.icon-boton-proyectos{
    font-size: 20px;
}

        /* contacto */
    #formulario input,
    #formulario textarea,
    #formulario button{
        padding: 0.5em;
        margin-top: 0.2em; 
    }
    #formulario h4{
        display: none;
    }

    #pie{
        width: 100%;
    }
    #pie p, #pie a{
        font-size: 12px;
    }
    }